# Method Concurrent.Promise()->failure()

Method failure

  ``void` failure(`mixed` `value`)`

Description

  Reject the Future value.

Parameter `value`

  Failure result of the Future.

Throws

  Throws an error if the Future already has been fulfilled or failed.

  Mark the Future as failed, and schedule the on_failure() callbacks to be called as soon as possible.

See also

  try_failure(), success(), on_failure()